GEN_PACKETS(1)

NAME
gen_packets - Generate audio file for AX.25 frames.

SYNOPSIS
gen_packets -o wav-file-out [ options ] [ text-file | - ]

    wav-file-out is the result. The -o option is required.

    text-file may contain AX.25 packets in the standard monitoring format. Use "-" to read from stdin. If not specified, a default builtin message will be used.

DESCRIPTION
gen_packets is a test application which converts text to AX.25 audio for testing packet decoders. It is very flexible allowing a wide range of audio sample rates, data speeds, and AFSK tones. It will even generate the scrambled signals commonly used for 9600 baud operation.

OPTIONS

-a n
    Signal amplitude in range of 0 - 200%. Default 50. Note that 100% is corresponds to signal peaks of +/- 16383 so we have plenty of headroom to avoid saturation.

-b n
    Bits / second for data. Default is 1200.

-B n
    Bits / second for data. Proper modem selected for 300, 1200, 9600.

-g  Scrambled baseband rather than AFSK.

-m n
    Mark frequency. Default is 1200.

-s n
    Space frequency. Default is 2200.

-r n
    Audio sample Rate. Default is 44100.

-n n
    Generate specified number of frames with increasing noise. (For built-in message only.)

-o file
    Send output to .wav file.

-8  8 bit audio rather than 16.

-2  2 channels of audio rather than 1.

EXAMPLES

gen_packets -o x.wav

    With all defaults, a built-in test message is generated with standard Bell 202 tones used for packet radio on ordinary VHF FM transceivers.

gen_packets -o x.wav -g -b 9600
gen_packets -o x.wav -B 9600

    Both of these are equivalent. "-B 9600" automatically selects scrambled baseband rather than AFSK.

gen_packets -o x.wav -m 1600 -s 1800 -b 300
gen_packets -o x.wav -B 300

    Both of these generate 200 Hz shift, 300 baud, suitable for HF SSB transceiver.

echo -n WB2OSZ>WORLD:Hello, world! | gen_packets -a 25 -o x.wav -

    Read message from stdin and put quarter volume sound into the file x.wav.

SEE ALSO
More detailed information is in the pdf files in /usr/local/share/doc/direwolf, or possibly /usr/share/doc/direwolf, depending on installation location. Applications in this package: aclients, atest, decode_aprs, direwolf, gen_packets, ll2utm, log2gpx, text2tt, tt2text, utm2ll